View Issue Details

IDProjectCategoryView StatusLast Update
0035352LazarusIDEpublic2019-04-13 11:52
ReporterFTurtleAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindows XPOS Version
Product Version2.1 (SVN)Product Build60897 
Target VersionFixed in Version 
Summary0035352: "Jump to Next Error"/"Jump to Previous Error" work on sortcut but not work on click
Description"Jump to Next Error"/"Jump to Previous Error" work on sortcut but not work on click
Steps To Reproduce1. Create new test project.
2. In different places input random text for generate few errors.
3. Try press Ctrl+F8/Shift+Ctrl+F8. It works.
4. Try click in menu "Search" items "Jump to Next Error"/"Jump to Previous Error". It not works.
TagsNo tags attached.
Fixed in Revisionr60933
LazTarget-
Widgetset
Attached Files

Activities

Juha Manninen

2019-04-10 09:55

developer   ~0115381

This is about focus.
The shortcuts Ctrl+F8 / Shift+Ctrl+F8 work when the editor has focus.
If you give focus to the IDE main window, they stop working.

Another similar commands in the Search menu, "Jump Back" / "Jump Forward" work. Apparently focus is moved to the editor for them.

Juha Manninen

2019-04-12 08:06

developer   ~0115435

Fixed. Please test.

FTurtle

2019-04-13 11:52

reporter   ~0115468

Thank you.

Issue History

Date Modified Username Field Change
2019-04-09 20:15 FTurtle New Issue
2019-04-10 09:55 Juha Manninen Note Added: 0115381
2019-04-12 08:03 Juha Manninen Assigned To => Juha Manninen
2019-04-12 08:03 Juha Manninen Status new => assigned
2019-04-12 08:06 Juha Manninen Fixed in Revision => r60933
2019-04-12 08:06 Juha Manninen LazTarget => -
2019-04-12 08:06 Juha Manninen Note Added: 0115435
2019-04-12 08:06 Juha Manninen Status assigned => resolved
2019-04-12 08:06 Juha Manninen Resolution open => fixed
2019-04-13 11:52 FTurtle Note Added: 0115468
2019-04-13 11:52 FTurtle Status resolved => closed